CHCP 1251
@ECHO OFF
REM *** 
REM Created Data : 6:13 07.01.2023
REM Author : Dmitry, Ekaterinburg, Russia
REM QTH locator : MO06HU
REM WebSite : https://techstop-ekb.ru/
REM E-mail : d.e.bobin@yandex.ru
REM ***
SETLOCAL ENABLEEXTENSIONS ENABLEDELAYEDEXPANSION
REM
REM *** Reading sat-gen-tle-v5.cfg settings file and setting variables ... 
REM ***    sat-gen-tle-v5.cfg    ... 
FOR /F "eol=; tokens=1,2* delims==" %%A IN (sat-gen-tle-v5.cfg) DO (
	IF %%A==DosCode (SET DosCode=%%B)
	IF %%A==HelpLng (SET HelpLng=%%B)
	IF %%A==HelpMsg (SET HelpMsg=%%B)
	REM ... 
	REM ...     TLE Space Track 3LE ... 
	IF %%A==3LEDB (SET 3LEDB=%%B)
)
REM ***
CHCP !DosCode!
CLS
TYPE help\!HelpLng!\sat-gen-tle-v5.ver
PAUSE
CLS
	IF !HelpMsg!==1 (
		CLS
		TYPE help\!HelpLng!\50-10.txt
		PAUSE
		CLS
	)
	IF !HelpMsg!==1 (
		CLS
		TYPE help\!HelpLng!\50-20.txt
		PAUSE
		CLS
	)
REM
REM *** Resetting the output file ... 
REM ***    ... 
COPY _nul.dat sat-list.del
REM
REM *** Set counter of invalid satellite numbers ... 
REM ***      ... 
SET SatCheck=0
CLS
REM ***
TYPE help\!HelpLng!\50-25.txt
SET /P SGRUN=
FOR %%S IN (satdb\*SatName.txt) DO (
	SET SatTmp=%%S
	SET SatNum=!SatTmp:~6,5!
	FINDSTR /B /C:"1 !SatNum!" !3LEDB!
	IF !ERRORLEVEL!==1 (
		IF !SGRUN!==0 (
		TYPE help\!HelpLng!\50-35.txt>>sat-list.del
		ECHO !SatNum!>>sat-list.del
		SET SatCheck=1
		)
		IF !SGRUN!==1 (
		DEL satdb\!SatNum!*.txt
		TYPE help\!HelpLng!\50-45.txt>>sat-list.del
		ECHO !SatNum!>>sat-list.del
		SET SatCheck=1
		)
	)
)
IF !SatCheck!==0 (
	TYPE help\!HelpLng!\50-55.txt>>sat-list.del
)
IF NOT !SatCheck!==0 (
	IF NOT !SGRUN!==1 (
		TYPE help\!HelpLng!\50-65.txt>>sat-list.del
	)
)
notepad sat-list.del
ENDLOCAL
EXIT
