CHCP 1251
@ECHO OFF
REM *** 
REM Created Data : 7:53 07.01.2023
REM Author : Dmitry, Ekaterinburg, Russia
REM QTH locator : MO06HU
REM WebSite : https://techstop-ekb.ru/
REM E-mail : d.e.bobin@yandex.ru
REM ***
SETLOCAL ENABLEEXTENSIONS ENABLEDELAYEDEXPANSION
REM
REM *** Reading sat-gen-tle-v5.cfg settings file and setting variables ... 
REM ***    sat-gen-tle-v5.cfg    ... 
FOR /F "eol=; tokens=1,2* delims==" %%A IN (sat-gen-tle-v5.cfg) DO (
	IF %%A==DosCode (SET DosCode=%%B)
	IF %%A==HelpLng (SET HelpLng=%%B)
	IF %%A==HelpMsg (SET HelpMsg=%%B)
	REM ...     TLE Space Track 3LE ... 
	IF %%A==3LEDB (SET 3LEDB=%%B)
)
REM ***
CHCP !DosCode!
CLS
TYPE help\!HelpLng!\sat-gen-tle-v5.ver
PAUSE
CLS
	IF !HelpMsg!==1 (
		CLS
		TYPE help\!HelpLng!\60-10.txt
		PAUSE
		CLS
	)
	IF !HelpMsg!==1 (
		CLS
		TYPE help\!HelpLng!\60-20.txt
		PAUSE
		CLS
	)
REM
TYPE help\!HelpLng!\60-25.txt
PAUSE
REM
REM *** Resetting input / output files ... 
REM ***    /  ... 
COPY _nul.dat sat-list.txt
COPY _nul.dat sat-list.del
COPY _nul.dat sat-list.tmp
REM ***
notepad sat-list.txt
REM ###########################################################
REM
REM *** Creating a temporary list, sorting, checking for duplicates ... 
REM ***   , ,    ...
CLS
SORT sat-list.txt /O sat-list.tmp
COPY _nul.dat sat-list.txt
FOR /F "tokens=*" %%I IN (sat-list.tmp) DO (
	CALL str-check-tool.cmd %%I sat-list.txt
	IF !ERRORLEVEL!==1 (
		ECHO %%I>>sat-list.txt
	)
)
REM ###########################################################
REM
REM *** Zeroing the temporary file again ... 
REM ***     ... 
COPY _nul.dat sat-list.tmp
REM ***
CLS
TYPE help\!HelpLng!\60-35.txt
SET /P SGRUN=
REM
REM *** Inserting comments into files ... 
REM ***     ... 
TYPE help\!HelpLng!\60-45.txt>>sat-list.del
IF !SGRUN!==0 (
TYPE help\!HelpLng!\60-55.txt>>sat-list.tmp
)
REM
FOR /F "tokens=*" %%S IN (sat-list.txt) DO (
	FINDSTR /B /C:"1 %%S" !3LEDB!
	IF !ERRORLEVEL!==0 (
		ECHO %%S>>sat-list.tmp
	)
	IF !ERRORLEVEL!==1 (
		ECHO %%S>>sat-list.del
	)
)
REM ***
CLS
notepad sat-list.del
IF !SGRUN!==0 (notepad sat-list.tmp)
IF !SGRUN!==1 (
	COPY _nul.dat sat-list.txt
	TYPE sat-list.tmp>>sat-list.txt
	notepad sat-list.txt
)
	IF !HelpMsg!==1 (
		CLS
		TYPE help\!HelpLng!\60-60.txt
		PAUSE
		CLS
	)
ENDLOCAL
EXIT
